/**
 * 初始化人才类别变更详情对话框
 */
var locked = false;
var TalentTypeChangeInfoDlg = {
    talentTypeChangeInfoData: {},
    validateFields: {
        talentId: {validators: {notEmpty: {message: '申报对象不能为空'}}},
        newTalentArrange: {validators: {notEmpty: {message: '新人才层次不能为空'}}},
        newIdentifyCondition: {validators: {notEmpty: {message: '新人才认定条件不能为空'}}},
        newIdentifyConditionName: {
            validators: {
                notEmpty: {
                    message: '新人才认定条件名称不能为空'
                }
            }
        }
    }
};

/**
 * 清除数据
 */
TalentTypeChangeInfoDlg.clearData = function () {
    this.talentTypeChangeInfoData = {};
}

/**
 * 设置对话框中的数据
 *
 * @param key 数据的名称
 * @param val 数据的具体值
 */
TalentTypeChangeInfoDlg.set = function (key, val) {
    this.talentTypeChangeInfoData[key] = (typeof val == "undefined") ? $("#" + key).val() : val;
    return this;
}

/**
 * 设置对话框中的数据
 *
 * @param key 数据的名称
 * @param val 数据的具体值
 */
TalentTypeChangeInfoDlg.get = function (key) {
    return $("#" + key).val();
}

/**
 * 关闭此对话框
 */
TalentTypeChangeInfoDlg.close = function () {
    parent.layer.close(window.parent.TalentTypeChange.layerIndex);
}

/**
 * 收集数据
 */
TalentTypeChangeInfoDlg.collectData = function () {
    this
            .set('id')
            .set('oldYear')
            .set('newYear')
            .set('type')
            .set('talentId')
            .set('talentName')
            .set('idCard')
            .set('enterpriseId')
            .set('enterpriseName')
            .set('oldSource')
            .set('oldFromCity')
            .set('oldFromCityName')
            .set('oldFromCounty')
            .set('oldFromCountyName')
            .set('oldQzBath')
            .set('oldOurCitySource')
            .set('oldTalentArrange')
            .set('oldIdentifyConditionCategory')
            .set('oldIdentifyCondition')
            .set('oldAnnualSalary')
            .set('oldIdentifyGetTime')
            // .set('oldIdentifyOutTime')
            .set('oldIdentifyConditionName')
            .set('oldIdentifyMonth')
            .set('oldCertificateNO')
            .set('oldCertificateStartTime')
            .set('oldCertificateOutTime')
            .set('oldIntroductionMode')
            .set('newSource')
            .set('newFromCity')
            .set('newFromCityName')
            .set('newFromCounty')
            .set('newFomrCountyName')
            .set('newQzBath')
            .set('newOurCitySource')
            .set('newTalentArrange')
            .set('newIdentifyConditionCategory')
            .set('newIdentifyCondition')
            .set('newAnnualSalary')
            .set('newIdentifyGetTime')
            .set('newIdentifyConditionName')
            .set('newIdentifyMonth')
            .set('newCertificateNO')
            .set('newCertificateStartTime')
            .set('newCertificateOutTime')
            .set('newIntroductionMode')
            .set('checkState');
    if ($("#newFromCity").val() != null && $("#newFromCity").val() != '') {
        this.talentTypeChangeInfoData["newFromCityName"] = $("#newFromCity").find("option:selected").text();
    }
    if ($("#newFromCounty").val() != null && $("#newFromCounty").val() != '') {
        this.talentTypeChangeInfoData["newFromCountyName"] = $("#newFromCounty").find("option:selected").text();
    }

}

/**
 * 验证数据
 */
TalentTypeChangeInfoDlg.validate = function () {
    $('#talentTypeForm').data("bootstrapValidator").resetForm();
    $('#talentTypeForm').bootstrapValidator('validate');
    return $("#talentTypeForm").data('bootstrapValidator').isValid();
}

/**
 * 提交添加
 */
TalentTypeChangeInfoDlg.addSubmit = function () {
    this.clearData();
    this.collectData();
    if (!this.validate()) {
        return;
    }
    //提交信息
    if (locked)
        return;
    locked = true;
    if (this.talentTypeChangeInfoData.id != null && this.talentTypeChangeInfoData.id != '') {
        TalentTypeChangeInfoDlg.editSubmit(1);
        $("#fileTable").bootstrapTable("destroy", {});
        TalentTypeChangeInfoDlg.initFileTable();
    } else {
        var ajax = new $ax("/enterprise/talentTypeChange/add", function (data) {
            if (data.code == "200") {
                Feng.success(data.msg);
                $("#fileLi").removeAttr("style");
                $("#id").val(data.obj.id);
                $("#checkState").val(data.obj.checkState);
                window.parent.TalentTypeChange.table.refresh();
            } else {
                Feng.info(data.msg);
            }
            locked = false;
        }, function (data) {
            Feng.error("添加失败!" + data.responseJSON.message + "!");
            locked = false;
        });
        ajax.set(this.talentTypeChangeInfoData);
        ajax.start();
    }
}

/**
 * 提交修改
 */
TalentTypeChangeInfoDlg.editSubmit = function (type) {
    this.clearData();
    this.collectData();
    if (!this.validate()) {
        return;
    }
    var ajax = new $ax("/enterprise/talentTypeChange/add", function (data) {
        if (data.code == "200") {
            if (type == 1) {
                Feng.success(data.msg);
                window.parent.TalentTypeChange.table.refresh();
            } else {
                TalentTypeChangeInfoDlg.submitToCheck();
            }
        } else {
            Feng.info(data.msg);
        }
        locked = false;
    }, function (data) {
        Feng.error("修改失败!" + data.responseJSON.message + "!");
        locked = false;
    });
    ajax.set(this.talentTypeChangeInfoData);
    ajax.start();
}

//点击按钮初始化
TalentTypeChangeInfoDlg.talentInfoDetail = function () {
    var type = $("#type").val();
    var talentId = $("#talentId").val();
    if (Feng.isEmptyStr(talentId)) {
        talentId = $("#talentId").attr("value");
    }
    var ajax = new $ax("/enterprise/talent/detail/id/" + talentId, function (data) {
        //$("#type").val(data.type);
        $("#enterpriseId").val(data.enterpriseId);
        $("#talentName").val(data.name);
        //$("#talentType").val(data.talent_type);
        $("#idCard").val(data.card_number);
        $("#enterpriseName").val(data.enterpriseName);
        $("#oldSource").val(data.source);
        if (type == 1) {
            $("#oldSource").change();
        }
        //$("#oldOurCitySource").val(data.ourCitySource);
        $("#oldFromCity").val(data.sourceCityName);
        $("#oldFromCounty").val(data.sourceCountyName);
        $("#oldFromCityName").val(data.fromCityName);
        $("#oldFromCountyName").val(data.fromCityName);
        //$("#oldQzBath").val(data.qzBatch);
        $("#oldTalentType").val(data.talent_type);
        $("#oldTalentArrange").val(data.talent_arrange);
        $("#oldTalentArrange").change();
        $("#oldIdentifyConditionCategory").val(data.talent_arrange_category);
        if (type == 1 || type == 6) {
            $("#oldIdentifyConditionCategory").change();
        }
        $("#oldIdentifyCondition").val(data.talent_condition);
        $("#oldIdentifyCondition").change();
        $("#oldIdentifyConditionName").val(data.identifyConditionName);
        $("#oldAnnualSalary").val(data.annual_salary);
        $("#oldIdentifyGetTime").val(data.identifyGetTime);
        $("#oldIdentifyOutTime").val(data.identifyExpireTime);
        $("#oldCertificateNO").val(data.certificateNo);
        $("#oldCertificateStartTime").val(data.certificateGetTime);
        $("#oldCertificateOutTime").val(data.certificateExpireTime);
        $("#oldIdentifyMonth").val(data.identifyMonth);
        $("#oldIntroductionMode").val(data.import_way);
        $("#oldYear").val(data.apply_year);
        /*if (data.enterpriseType == 1) {
         var hide = [1, 2];
         if (data.isMatchZhiren == 1) {
         hide = [3, 4, 5];
         }
         for (var i in hide) {
         $("#newSource option[value=" + hide[i] + "]").css("display", "none");
         }
         //toastr.success("符合晋江市现代产业体系人才补充认定标准的无需填写‘新泉州高层次人才证书发证日期’及‘新泉州高层次人才证书的有效期’。");
         }*/
    }, function (data) {

        Feng.error("查询失败!" + data.responseJSON.message + "!");
    });
    ajax.start();
}

TalentTypeChangeInfoDlg.talentArrangeChange = function (now, next, source) {

    var level = $('#' + now).val();
    var type = $("#type").val();
    var source = $("#" + source).val();
    var talentType = $("#talentType").val();
    if (level == null || level == '') {
        $("#" + next).empty();
        $("#" + next).trigger('chosen:updated');
        return;
    }
    if (type == 1 && (source == null || source == '')) {
        $("#" + next).empty();
        $("#" + next).trigger('chosen:updated');
        $("#" + now).val("");
        Feng.info("请先选择申报来源");
        return;
    }
    if (source == 2) {
        source = 1;
    }
    if (source == undefined) {
        source = "";
    }
    Feng.addAjaxSelect({
        "id": next,
        "displayCode": "id",
        "displayName": "name",
        "type": "GET",
        "url": "/common/api/findIdentifyConditionByLevel?level=" + level + "&type=" + type + "&source=" + source + "&talentType=" + talentType + "&showAll=1"
    });
    $("#" + next).trigger('chosen:updated');
}

TalentTypeChangeInfoDlg.sourceChange = function (isNew) {
    if (isNew) {
        var source = $("#newSource").val();
        $("#newFromCity").parent().parent().attr("style", "display:none");
        $("#newFromCounty").parent().parent().attr("style", "display:none");
        if (source == 3) {
            $("#newFromCity").parent().parent().attr("style", "display:block");
            $("#newFromCounty").val("");
        }
        if (source == 4) {
            $("#newFromCounty").parent().parent().attr("style", "display:block");
            $("#newFromCity").val("");
        }
        if (source == 5) {
            $("#newFromCity").val("");
            $("#newFromCounty").val("");
        }
        $("#newTalentArrange").val("");
        $("#newTalentArrangeCategory").html("<option value=''>---请选择---</option>");
        $("#newIdentifyCondition").html("<option value=''>---请选择---</option>");
        $("#newIdentifyCondition").trigger('chosen:updated');
        TalentTypeChangeInfoDlg.isNewSalary = false;
        $("#newAnnualSalary").parent().parent().css("display", "none");
        //$("#newTalentArrange").val("").trigger("change");
    } else {
        var source = $("#oldSource").val();
        $("#oldFromCity").parent().parent().attr("style", "display:none");
        $("#oldFromCounty").parent().parent().attr("style", "display:none");
        if (source == 3) {
            $("#oldFromCity").parent().parent().attr("style", "display:block");
            $("#oldFromCounty").val("");
        }
        if (source == 4) {
            $("#oldFromCounty").parent().parent().attr("style", "display:block");
            $("#oldFromCity").val("");
        }
        if (source == 5) {
            $("#oldFromCity").val("");
            $("#oldFromCounty").val("");
        }
        $("#oldTalentArrange").val("");
        $("#oldIdentifyConditionCategory").html("<option value=''>---请选择---</option>");
        $("#oldIdentifyCondition").html("<option value=''>---请选择---</option>");
        $("#oldIdentifyCondition").trigger('chosen:updated');
        TalentTypeChangeInfoDlg.isOldSalary = false;
        $("#oldAnnualSalary").parent().parent().css("display", "none");
        //$("#oldTalentArrange").val("").trigger("change");
    }
}

TalentTypeChangeInfoDlg.isNewSalary = false;
TalentTypeChangeInfoDlg.isOldSalary = false;
TalentTypeChangeInfoDlg.getLayerCatdByLayer = function (isNew) {
    var type = $("#type").val();
    var sourceElem = isNew ? "newSource" : "oldSource";
    var arrangeElem = isNew ? "newTalentArrange" : "oldTalentArrange";
    var conditionElem = isNew ? "newIdentifyCondition" : "oldIdentifyCondition";
    var catElem = isNew ? "newIdentifyConditionCategory" : "oldIdentifyConditionCategory";
    var source = $("#" + sourceElem).val();
    if (type == 1) {
        if (source == "" || typeof source == "undefined") {
            $("#" + arrangeElem).val("");
            return;
        }
        $("#" + conditionElem).html("<option value=''>---请选择---</option>");
        var level = $("#" + arrangeElem).val();
        Feng.addAjaxSelect({
            "id": catElem,
            "displayCode": "code",
            "displayName": "name",
            "type": "GET",
            "url": Feng.ctxPath + "/common/api/getLayerCatsByLayer/level/" + level
        });
        var layerFilter = function () {
            let allowedCats = [];
            switch (source) {
                case "1":
                case "3":
                    allowedCats = ["A+", "A", "B", "C"];
                    break;
                case "2":
                case "4":
                    allowedCats = ["A1", "B1", "C1", "D1", "E1"];
                    break;
                case "5":
                    allowedCats = ["A+", "A1", "A2", "A", "B", "B1", "B2", "C", "C1", "C2", "D", "D1", "D2", "E", "E1", "E2", "F", "G"];
                    break;
            }
            for (var i = 0; i < $("#" + catElem + " option").length; i++) {
                if (allowedCats.indexOf($("#" + catElem + " option").eq(i).val()) == -1) {
                    $("#" + catElem + " option").eq(i).css("display", "none");
                }
            }
        }();
    } else if (type == 6) {
        $("#" + conditionElem).html("<option value=''>---请选择---</option>");
        var level = $("#" + arrangeElem).val();
        Feng.addAjaxSelect({
            "id": catElem,
            "displayCode": "code",
            "displayName": "name",
            "type": "GET",
            "url": Feng.ctxPath + "/common/api/getLayerCatsByLayer/level/" + level
        });
    } else {
        var level = $("#" + arrangeElem).val();
        Feng.addAjaxSelect({
            "id": conditionElem,
            "displayCode": "id",
            "displayName": "name",
            "type": "GET",
            "url": Feng.ctxPath + "/common/api/findIdentifyConditionByLevel/level/" + level + (!isNew ? "/showAll/1" : "")
        });
    }
    $("#" + conditionElem).trigger("chosen:updated");

    TalentTypeChangeInfoDlg.displaySalary(isNew);
}
TalentTypeChangeInfoDlg.displaySalary = function (isNew) {
    if (isNew) {
        if (!TalentTypeChangeInfoDlg.isNewSalary || $("#newIdentifyCondition").val() == "" || $("#newIdentifyCondition").val() == "---请选择---") {
            $("#newAnnualSalary").parent().parent().css("display", "none");
        } else {
            $("#newAnnualSalary").parent().parent().css("display", "block");
        }
    } else {
        if (!TalentTypeChangeInfoDlg.isOldSalary || $("#oldIdentifyCondition").val() == "" || $("#oldIdentifyCondition").val() == "---请选择---") {
            $("#oldAnnualSalary").parent().parent().css("display", "none");
        } else {
            $("#oldAnnualSalary").parent().parent().css("display", "block");
        }
    }
}
/**
 * 获取人才认定
 */
TalentTypeChangeInfoDlg.getIdentifyCondition = function (isNew) {
    if (isNew) {
        var level = $("#newTalentArrange").val();
        var cat = $("#newIdentifyConditionCategory").val();
        Feng.addAjaxSelect({
            "id": "newIdentifyCondition",
            "displayCode": "id",
            "displayName": "name",
            "type": "GET",
            "url": Feng.ctxPath + "/common/api/findIdentifyConditionByLevel/level/" + level + "/cat/" + cat
        });
        $("#newIdentifyCondition").trigger('chosen:updated');
    } else {
        var level = $("#oldTalentArrange").val();
        var cat = $("#oldIdentifyConditionCategory").val();
        Feng.addAjaxSelect({
            "id": "oldIdentifyCondition",
            "displayCode": "id",
            "displayName": "name",
            "type": "GET",
            "url": Feng.ctxPath + "/common/api/findIdentifyConditionByLevel/level/" + level + "/cat/" + cat + "/showAll/1"
        });
        $("#oldIdentifyCondition").trigger('chosen:updated');
    }
    TalentTypeChangeInfoDlg.displaySalary(isNew);
}

TalentTypeChangeInfoDlg.getIdentifyNeedsFileTypes = function (isNew) {
    var type = $("#type").val();
    if (isNew) {
        var source = $("#newSource").val();
        if (type == 1 && (source == "" || typeof source == "undefined")) {
            //layer.alert("请先选择申报来源");
            $("#newIdentifyCondition").val("");
            $("#newIdentifyCondition").trigger('chosen:updated');
            return;
        }
    } else {
        var source = $("#oldSource").val();
        if (type == 1 && (source == "" || typeof source == "undefined")) {
            //layer.alert("请先选择申报来源");
            $("#oldIdentifyCondition").val("");
            $("#oldIdentifyCondition").trigger('chosen:updated');
            return;
        }
    }
    TalentTypeChangeInfoDlg.ajaxGetConditionFile(source, isNew);

    TalentTypeChangeInfoDlg.displaySalary(isNew);
}

TalentTypeChangeInfoDlg.ajaxGetConditionFile = function (source, isNew) {
    var condition = isNew ? $("#newIdentifyCondition option:selected").val() : $("#oldIdentifyCondition option:selected").val();
    if (condition != "") {
        var ajax = new $ax("/common/api/getTalentCondtionUploadFile", function (data) {
            if (data == null || data.length == 0) {
                return;
            }
            if (typeof data.info != "undefined" && data.info.isSalary == 1) {
                if (isNew) {
                    TalentTypeChangeInfoDlg.isNewSalary = true;
                    $("#newAnnualSalary").parent().parent().css("display", "block");
                } else {
                    TalentTypeChangeInfoDlg.isOldSalary = true;
                    $("#oldAnnualSalary").parent().parent().css("display", "block");
                }
            } else {
                if (isNew) {
                    TalentTypeChangeInfoDlg.isNewSalary = false;
                } else {
                    TalentTypeChangeInfoDlg.isOldSalary = false;
                }
            }
        }, function (data) {
            Feng.error("查询失败!" + data.responseJSON.message + "!");
        });
        var queryData = {};
        queryData["talent_condition"] = condition;
        ajax.set(queryData);
        ajax.start();
    }
}



//初始化附件类别表单
TalentTypeChangeInfoDlg.initFileTable = function () {
    var queryData = {};
    queryData['type'] = $("#type").val();
    queryData['project'] = CONFIG.project_levelchange;
    queryData["source"] = $("#newSource").val();
    queryData["talent_condition"] = $("#newIdentifyCondition option:selected").val();
    queryData['checkState'] = $("#checkState").val();
    queryData['isMix'] = 1;
    $("#fileTable").bootstrapTable({
        url: "/common/api/findCommonFileType",
        method: 'POST',
        contentType: "application/x-www-form-urlencoded; charset=UTF-8",
        search: false, // 是否显示表格搜索，此搜索是客户端搜索，不会进服务端
        showRefresh: false, // 是否显示刷新按钮
        clickToSelect: true, // 是否启用点击选中行
        singleSelect: true, // 设置True 将禁止多选
        striped: true, // 是否显示行间隔色
        escape: true,
        pagination: false, // 设置为 true 会在表格底部显示分页条
        paginationHAlign: "left",
        paginationDetailHAlign: "right",
        sidePagination: "server", // 设置在哪里进行分页，可选值为 'client' 或者 'server'
        showColumns: false,
        detailView: true, //是否显示父子表
        pageList: [10, 30, 50],
        queryParams: function (params) {
            return $.extend(queryData, params)
        },
        rowStyle: function (row, index) {
            return {classes: "info"};
        },
        columns: TalentTypeChangeInfoDlg.initFileTypeColumn(),
        onPostBody: function () {
            $("td.uitd_showTip").bind("mouseover", function () {
                var htm = $(this).html();
                $(this).webuiPopover({title: '详情', content: htm, trigger: 'hover'}).webuiPopover('show');
            });
        },
        onLoadSuccess: function (data) {
            $("#fileTable").bootstrapTable('expandAllRows');
        },
        onExpandRow: function (index, row, $detail) {
            var ajax = new $ax("/common/api/listTalentFile", function (data) {
                if (data == null || data.length == 0) {
                    return;
                }
                var html = '<ul class="imgs"><li style="width: 80%;font-weight: bold;padding-top: 5px;">附件原名</li><li style="width: 10%;font-weight: bold;padding-top: 5px;">预览</li><li style="width: 10%;font-weight: bold;padding-top: 5px;">操作</li>';
                var files = $("#files").val().split(",");
                var fields = $("#fields").val().split(",");
                var checkState = $("#checkState").val();
                var type = $("#type").val();
                for (var key in data) {
                    var btn = "";
                    if (checkState == 1 || (((type != 5 && checkState == 10) || (type == 5 && (checkState == 9 || checkState == 8))) && ((row.isConditionFile == 0 && files.indexOf(row.id.toString()) != -1) || (row.isConditionFile == 1 && (files.indexOf(row.id.toString()) != -1 || fields.indexOf("newIdentifyCondition") != -1))))) {
                        btn = "<button type=\'button\' onclick=\"TalentTypeChangeInfoDlg.checkFile(this,'" + row.fState + "','" + row.id + "','" + data[key].id + "')\" style=\'margin-right: 10px\' class=\"btn btn-xs btn-info\">" +
                                "<i class=\"fa fa-paste\"></i>修改" +
                                "</button>" +
                                "<button type='button' onclick=\"TalentTypeChangeInfoDlg.deleteFile('" + data[key].id + "','" + row.fState + "')\" class=\"btn btn-xs btn-danger\">" +
                                "<i class=\"fa fa-times\"></i>删除" +
                                "</button>";
                    } else {
                        btn = "";
                    }
                    var sn = data[key].url.lastIndexOf(".");
                    var suffix = data[key].url.substring(sn + 1, data[key].url.length);
                    var imgStr = "";
                    if (suffix == "pdf" || suffix == "PDF") {
                        imgStr = "<button type='button'  onclick=\"Feng.showPdf('" + data[key].url + "','" + data[key].id + "','" + data[key].orignName + "')\" class=\"btn btn-xs btn-danger\"><i class=\"fa fa-file-pdf-o\" aria-hidden=\"true\"></i></button>";
                    } else if (suffix == "xlsx" || suffix == "XLSX" || suffix == 'xls' || suffix == 'XLS') {
                        imgStr = "<button type='button'  onclick=\"Feng.showExcel('" + data[key].url + "','" + data[key].id + "','" + data[key].orignName + "')\" class=\"btn btn-xs btn-danger\"><i class=\"fa fa-file-excel-o\" aria-hidden=\"true\"></i></button>";
                    } else {
                        imgStr = '<img class=\"imgUrl\"  src=\"' + data[key].url + '\" style=\"width:25px;height:25px;\">';
                    }
                    html = html + '<li style="display: none">' + data[key].id + '</li>\n' +
                            '<li style="width: 80%;padding-top: 5px;">' + data[key].orignName + '</li>\n' +
                            '<li style="width: 10%;">' + imgStr + '</li>\n' +
                            '<li style="width: 10%;padding-top: 2px;">' + btn + '</li>';
                }
                html = html + '</ul>';
                $detail.html(html);
                $(".imgs").viewer({
                    fullscreen: false
                });
            }, function (data) {
                Feng.error("查询失败!" + data.responseJSON.message + "!");
            });
            var queryData = {};
            queryData["mainId"] = $("#id").val();
            queryData["fileTypeId"] = row.id;
            ajax.set(queryData);
            ajax.start();
        }
    });

}

//校验是否保存基础信息
TalentTypeChangeInfoDlg.validId = function () {
    var id = $("#id").val();
    if (id != null && id != '') {
        $("#fileLi").removeAttr("style");
    } else {
        $("#fileLi").attr("style", "pointer-events: none");
    }
}
//选择附件并显示附件名
TalentTypeChangeInfoDlg.checkFile = function (content, state, fileTypeId, fileId) {
    if (!TalentTypeChangeInfoDlg.validateIsEdit())
        return;
    $("#upload_file ").unbind("change");
    $("#upload_file ").change(function () {
        TalentTypeChangeInfoDlg.upload(fileTypeId, fileId);
    });
    $('#upload_file').val("");
    $('#upload_file').click()
}
//上传附件
TalentTypeChangeInfoDlg.upload = function (fileTypeId, fileId) {
    var id = $("#id").val();
    if (id == null || id == '') {
        Feng.info("请先添加基本信息并保存后再试");
        return;
    }
    if (!TalentTypeChangeInfoDlg.validateIsEdit())
        return;
    if (fileId != null && fileId != 'null') {
        $("#fileId").val(fileId)
    } else {
        $("#fileId").val("");
    }
    $("#mainId").val(id);
    $("#fileTypeId").val(fileTypeId);
    var index = layer.load(0, {shade: false, time: 0});
    $("#index").val(index);
    $("#uploadForm").submit();
}
//删除附件
TalentTypeChangeInfoDlg.deleteFile = function (id, state) {
    if (!TalentTypeChangeInfoDlg.validateIsEdit())
        return;
    if (state == 3) {
        Feng.info("该附件已通过审核，无法修改");
        return;
    }
    var operation = function () {
        var ajax = new $ax("/common/api/deleteFile", function (data) {
            if (data.code = 200) {
                Feng.success(data.msg);
                $("#fileTable").bootstrapTable("refresh", {});
            } else {
                Feng.error(data.msg);
            }
        }, function (data) {
            Feng.error("删除失败!" + data.responseJSON.message + "!");
        });
        ajax.set("id", id);
        ajax.set("type", 8);
        ajax.start();
    }
    Feng.confirm("删除后无法恢复，确认删除吗?", operation);
}

/**
 * 提交审核
 */
TalentTypeChangeInfoDlg.submitToCheck = function () {
    var id = $("#id").val();
    if (id == null || id == "") {
        Feng.info("请先填写基础信息并上传附件");
        return;
    }
    if (!TalentTypeChangeInfoDlg.validateIsEdit())
        return;
    var operation = function () {
        var ajax = new $ax("/enterprise/talentTypeChange/submitToCheck", function (data) {
            if (data.code == 200) {
                Feng.success(data.msg);
                window.parent.TalentTypeChange.table.refresh();
                TalentTypeChangeInfoDlg.close();
            } else {
                Feng.error(data.msg);
            }
        }, function (data) {
            Feng.error("提交审核失败!" + data.responseJSON.message + "!");
        });
        ajax.set("id", id);
        ajax.start();
    }
    Feng.confirm("请确认基础信息已核对无误，相应附件已上传，一旦提交，无法修改", operation);
}


/**
 * 校验是否可以修改/提交审核
 */
TalentTypeChangeInfoDlg.validateIsEdit = function () {
    var checkState = $("#checkState").val();
    var type = $("#type").val();
    if (checkState != 1 && checkState != 5 && !(type != 5 && checkState == 10) && !(type == 5 && checkState == 9) && !(type == 5 && checkState == 8)) {
        if (checkState == -1) {
            Feng.error("您的申报审核不通过，无法再修改");
            return false;
        } else if (checkState >= 35) {
            Feng.error("您的申报已审核通过，无法再修改");
            return false;
        } else {
            Feng.error("您的申报正在审核中，请耐心等待");
            return false;
        }
    }
    return true;
}

/**
 * 初始化表格的列
 */
TalentTypeChangeInfoDlg.initFileTypeColumn = function () {
    return [
        {field: 'selectItem', checkbox: false, visible: false},
        {title: '名称', field: 'name', visible: true, align: 'center', valign: 'middle', width: "30%", 'class': 'uitd_showTip',
            formatter: function (value, row, index) {
                if (row.must == 1) {
                    return '<i class="fa fa-paste"></i><span style="font-weight:bold;color:red;font-size:14px;font-family:宋体"> * </span> ' + value;
                }
                if (row.must == 2) {
                    return '<i class="fa fa-paste"></i>' + value;
                }
            }
        },
        {title: '模板', field: 'templateUrl', visible: true, align: 'center', valign: 'middle', width: "8%",
            formatter: function (value, row, index) {
                if (value == null || value == '' || value == 'null') {
                    return '无';
                }
                return "<button type='button' onclick=\"TalentTypeChangeInfoDlg.downloadFile('" + row.id + "',3)\" style='margin-right: 10px' class=\"btn btn-xs btn-primary\">" +
                        "<i class=\"fa fa-download\"></i>下载" +
                        "</button>";
            }
        },
        {title: '备注', field: 'description', visible: true, align: 'center', valign: 'middle', width: "52%", 'class': 'uitd_showTip'},
        {title: '操作', field: 'id', visible: true, align: 'center', valign: 'middle', width: "10%",
            formatter: function (value, row, index) {
                var type = $("#type").val();
                var checkState = $("#checkState").val();
                var files = $("#files").val().split(",");
                var fields = $("#fields").val().split(",");
                var html = "";
                if (checkState == 1 || (((type != 5 && checkState == 10) || (type == 5 && (checkState == 9 || checkState == 8))) && ((row.isConditionFile == 0 && files.indexOf(value.toString()) != -1) || (row.isConditionFile == 1 && (files.indexOf(value.toString()) != -1 || fields.indexOf("newIdentifyCondition") != -1))))) {
                    html = "<button type='button' onclick=\"TalentTypeChangeInfoDlg.checkFile(this,'" + row.fState + "','" + value + "','" + null + "')\" style='margin-right: 10px' class=\"btn btn-xs btn-info\">" +
                            "<i class=\"fa fa-upload\"></i>上传" +
                            "</button>";
                }
                return html;
            }
        }
    ]
};

//回调
TalentTypeChangeInfoDlg.callBack = function (data) {
    layer.close(data.obj);
    Feng.info(data.msg);
    if (data.code == 200) {
        $("#fileTable").bootstrapTable("refresh", {});
    }
}
TalentTypeChangeInfoDlg.downloadFile = function (id, type) {
    window.location.href = "/common/api/downloadFile?id=" + id + "&type=" + type;
}

//设置不可修改的字段
TalentTypeChangeInfoDlg.setNoChangeField = function () {
    var type = $("#type").val();
    var checkState = $("#checkState").val();
    var fields = $("#fields").val();
    if ((type != 5 && checkState == 10) || (type == 5 && checkState == 8) || (type == 5 && checkState == 9)) {
        $("input").each(function () {
            $(this).attr("readonly", "readonly");
        });
        $("select").each(function () {
            $(this).attr("disabled", "disabled");
        });
        if (fields != null && fields != '') {
            var arr = fields.split(",");
            for (var key in arr) {
                var name = $("#" + arr[key]).prop("tagName");
                if (name == 'select' || name == 'SELECT') {
                    $("#" + arr[key]).removeAttr("disabled");
                }
                if (name == "input" || name == 'textarea' || name == "INPUT" || name == 'TEXTAREA') {
                    $("#" + arr[key]).removeAttr("readonly");
                }
            }
        }
    }
}


$(function () {
    $('#talentTypeForm').bootstrapValidator({
        feedbackIcons: {
            valid: 'glyphicon glyphicon-ok',
            invalid: 'glyphicon glyphicon-remove',
            validating: 'glyphicon glyphicon-refresh'
        },
        container: 'tooltip',
        group: '.rowGroup',
        fields: TalentTypeChangeInfoDlg.validateFields,
        live: 'enabled',
        message: '该字段不能为空'
    }).on('error.field.bv', function (e, data) {
        // Get the tooltip
        var $parent = data.element.parents('.form-group-sm'),
                $icon = $parent.find('.form-control-feedback[data-bv-icon-for="' + data.field + '"]'),
                title = $icon.data('bs.tooltip').getTitle();
        $icon.tooltip('destroy').tooltip({
            html: true,
            placement: 'right',
            title: title,
            container: 'body'
        });
    });
    // Feng.initValidator("talentTypeForm", TalentTypeChangeInfoDlg.validateFields);
    var arr = [
        {"name": "oldTalentArrange", "code": "talent_arrange"},
        {"name": "newTalentArrange", "code": "talent_arrange"},
        {"name": "oldIntroductionMode", "code": "import_way"},
        {"name": "newIntroductionMode", "code": "import_way"},
        {"name": "oldSource", "code": "source"},
        {"name": "newSource", "code": "source"}];
    Feng.findChildDictBatch(JSON.stringify(arr));
    var id = $("#id").val();
    //加载福建省泉州的地级市
    Feng.addAjaxSelect({
        "id": "oldFromCity",
        "displayCode": "code",
        "displayName": "name",
        "type": "GET",
        "url": "/common/tool/findChildAreaByCode/code/35/no/350500"
    });
    //加载福建省泉州的县市区
    Feng.addAjaxSelect({
        "id": "oldFromCounty",
        "displayCode": "code",
        "displayName": "name",
        "type": "GET",
        "url": "/common/tool/findChildAreaByCode/code/3505/no/350582"
    });
    //加载福建省泉州的县
    Feng.addAjaxSelect({
        "id": "newFromCity",
        "displayCode": "code",
        "displayName": "name",
        "type": "GET",
        "url": "/common/tool/findChildAreaByCode/code/35/no/350500"
    });
    //加载福建省泉州的县
    Feng.addAjaxSelect({
        "id": "newFromCounty",
        "displayCode": "code",
        "displayName": "name",
        "type": "GET",
        "url": "/common/tool/findChildAreaByCode/code/3505/no/350582"
    });
    /*var batchHtml = "<option value=''>请选择</option>";
     for (var i = 1; i < 101; i++) {
     batchHtml = batchHtml + "<option value='" + i + "'>" + i + "</option>";
     }
     $("#oldQzBath").append(batchHtml);
     $("#newQzBath").append(batchHtml);*/
    var url = (id == null || id == '') ? "/enterprise/talent/findTalentInfoInLibrary/type/" + CONFIG.project_levelchange : "/enterprise/talent/findTalentInfoByChangeId/type/" + CONFIG.project_levelchange + "/id/" + id;
    Feng.addAjaxSelect({
        "id": 'talentId',
        "displayCode": "id",
        "displayName": "name",
        "type": "GET",
        "url": url
    });
    //批量加载时间控件
    $(".date").each(function () {
        laydate.render({
            elem: this
            , type: 'date'
            , trigger: 'click'
        });
    });
    if (id != null && id != '') {
        $("select").each(function () {
            $(this).val($(this).attr("value"));
            $(this).trigger("change");
        });
        Feng.getCheckLog("logTable", {"type": CONFIG.project_levelchange, "mainId": id, "typeFileId": "", "active": 1})
    }
    TalentTypeChangeInfoDlg.validId();
    TalentTypeChangeInfoDlg.setNoChangeField();
    $("#newIdentifyCondition,#talentId").on('chosen:ready', function (e, params) {
        $(".chosen-container-single .chosen-single").css("padding", "4px 0px 0px 4px");
    });
    $("#newIdentifyCondition,#talentId").chosen({
        search_contains: true,       //关键字模糊搜索。设置为true，只要选项包含搜索词就会显示；设置为false，则要求从选项开头开始匹配
        disable_search: false,
        width: "100%",
        enable_split_word_search: true,
        rtl: true
    });
    toastr.options = {
        "closeButton": true,
        "debug": false,
        "positionClass": "toast-bottom-right",
        "onclick": null,
        "showDuration": "300",
        "hideDuration": "1000",
        "timeOut": "100000",
        "extendedTimeOut": "1000",
        "showEasing": "swing",
        "hideEasing": "linear",
        "showMethod": "fadeIn",
        "hideMethod": "fadeOut"
    }
});
